Skip to main content
GET
/
formations
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.formations.list({});

  console.log(result);
}

run();
{
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "state": {},
      "naics_code": {},
      "description": {},
      "name_options": "<array>",
      "members": "<array>",
      "responsible_party": {},
      "mailing_address": {},
      "ein": "<string>",
      "formation_filing_date": "<string>",
      "admin_notes": "<array>",
      "doola_error": "<string>",
      "stripe_checkout_session_id": "<string>",
      "submitted_at": "<string>",
      "created_at": {},
      "updated_at": {},
      "doola_company_id": "<string>",
      "verification_id": "<string>",
      "documents": [
        {
          "id": "<string>",
          "object": "<string>",
          "name": {},
          "content_type": {},
          "doola_created_at": "<string>",
          "doola_last_modified_at": "<string>",
          "doola_company_id": "<string>",
          "download_url": "<string>"
        }
      ]
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crevio.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of formations

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required